Summary: Network File System Support Library
Name: nfs-utils-lib
Version: 1.0.6
Release: 3
URL: http://www.citi.umich.edu/projects/nfsv4/linux/
License: GPL

%define idmapvers 0.16
%define libnfsidmap libnfsidmap-%{idmapvers}
%define rpcsecgssvers 0.10
%define librpcsecgss librpcsecgss-%{rpcsecgssvers}
%define libs %{librpcsecgss} %{libnfsidmap}

Source0: http://www.citi.umich.edu/projects/nfsv4/linux/libnfsidmap/%{libnfsidmap}.tar.gz
Source1: http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/%{librpcsecgss}.tar.gz

Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig, gettext libgssapi-devel
Requires: libgssapi
Requires(postun): /sbin/ldconfig
Requires(pre): /sbin/ldconfig
PreReq: libgssapi

Patch1: nfs-utils-lib-1.0.6-pkgconfig.patch

%description
Support libaries that are needed by the commands and 
daemons the nfs-utils rpm.

%package devel
Summary: Development files for the nfs-utils-lib library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files and libraries necessary for
developing programs which use the nfs-utils-lib library.

%prep
%setup -c -q -a1

%patch1 -p1

%build
top=`pwd`
for dir in %{libs} ; do
	pushd $dir
	autoconf -I "$top"
	popd
done

for dir in %{libs} ; do
	pushd $dir
	%configure --prefix=$RPM_BUILD_ROOT
	popd
done
for dir in %{libs} ; do
	pushd $dir
	make all
	popd
done

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{%{_includedir},%{_libdir}/pkgconfig}
mkdir -p %{buildroot}/%{_includedir}/rpcsecgss/rpc

for dir in %{libs} ; do
	pushd $dir
	%makeinstall
	popd
done

for dir in %{libs} ; do
	mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/$dir
	pushd $dir
	for file in AUTHORS ChangeLog NEWS README ; do
		install -m 755 $file $RPM_BUILD_ROOT/%{_defaultdocdir}/$dir
	done
	popd
done

pushd %{librpcsecgss}
install -m 644 librpcsecgss.pc  %{buildroot}/%{_libdir}/pkgconfig/librpcsecgss.pc
install -m 644 include/rpcsecgss/rpc/auth.h      \
	%{buildroot}/%{_includedir}/rpcsecgss/rpc/auth.h
install -m 644 include/rpcsecgss/rpc/auth_gss.h  \
	%{buildroot}/%{_includedir}/rpcsecgss/rpc/auth_gss.h
install -m 644 include/rpcsecgss/rpc/svc.h       \
	%{buildroot}/%{_includedir}/rpcsecgss/rpc/svc.h
install -m 644 include/rpcsecgss/rpc/svc_auth.h  \
	%{buildroot}/%{_includedir}/rpcsecgss/rpc/svc_auth.h
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_libdir}/librpcsecgss.so.*
%{_libdir}/librpcsecgss.la
%{_defaultdocdir}/%{librpcsecgss}/AUTHORS
%{_defaultdocdir}/%{librpcsecgss}/ChangeLog
%{_defaultdocdir}/%{librpcsecgss}/NEWS
%{_defaultdocdir}/%{librpcsecgss}/README
%{_libdir}/pkgconfig/librpcsecgss.pc

%{_libdir}/libnfsidmap.so.*
%{_libdir}/libnfsidmap.la
%{_defaultdocdir}/%{libnfsidmap}/AUTHORS
%{_defaultdocdir}/%{libnfsidmap}/ChangeLog
%{_defaultdocdir}/%{libnfsidmap}/NEWS
%{_defaultdocdir}/%{libnfsidmap}/README
%{_libdir}/pkgconfig/libnfsidmap.pc
%{_mandir}/man3/nfs4_uid_to_name.3.gz

%files devel
%defattr(0644,root,root,755)
%{_libdir}/librpcsecgss.a
%{_libdir}/librpcsecgss.so
%{_includedir}/rpcsecgss/rpc/auth.h
%{_includedir}/rpcsecgss/rpc/auth_gss.h
%{_includedir}/rpcsecgss/rpc/auth_unix.h
%{_includedir}/rpcsecgss/rpc/clnt.h
%{_includedir}/rpcsecgss/rpc/pmap_clnt.h
%{_includedir}/rpcsecgss/rpc/pmap_prot.h
%{_includedir}/rpcsecgss/rpc/pmap_rmt.h
%{_includedir}/rpcsecgss/rpc/rpc.h
%{_includedir}/rpcsecgss/rpc/rpc_des.h
%{_includedir}/rpcsecgss/rpc/rpc_msg.h
%{_includedir}/rpcsecgss/rpc/svc.h
%{_includedir}/rpcsecgss/rpc/svc_auth.h
%{_includedir}/rpcsecgss/rpc/types.h
%{_includedir}/rpcsecgss/rpc/xdr.h

%{_includedir}/nfsidmap.h
%{_libdir}/libnfsidmap.so
%{_libdir}/libnfsidmap.a

%changelog
* Sun Apr 23 2006 Steve Dickson <steved@redhat.com> 1.0.6-3
Incorporated libnfsidmap-0.16 librpcsecgss-0.10

* Tue Feb 14 2006 Steve Dickson <steved@redhat.com> 1.0.6-2
- Added compile patch to fix compiling on 64bit archs.

* Fri Feb 10 2006 Steve Dickson <steved@redhat.com> 1.0.6-1
- Initial commit
